xmin <- -2; xmax <-  2
curve(x*1,  xmin,xmax, col=1,lty=1,lwd=1) 
curve(x^2,  xmin,xmax, col=2,lty=2,lwd=2,add=T)  
curve(x^3,  xmin,xmax, col=3,lty=3,lwd=2,add=T)
curve(x^4,  xmin,xmax, col=4,lty=4,lwd=3,add=T) 
curve(x^5,  xmin,xmax, col=5,lty=5,lwd=3,add=T)
legend(1.0,0.0,c("x","x^2", "x^3", "x^4", "x^5"),cex=1.0,lwd=c(1,1,2,2,3),
       lty=1:5,col=1:5)

